* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    border: 0;
    border-spacing: 0;
    font-family: 'Roboto', sans-serif;
}

html { 
    height: 100%;
    overflow: auto;
}

body {
    background-color: rgb(204, 230, 216);
    height: 100%;
    overflow: auto;
}

h1 {
    font-size: 25px;
    text-align: center;
    margin-top: 40px;
    margin-bottom: 40px;
    color: rgb(42, 135, 87);
    font-family: 'Roboto Slab', serif;
    font-weight: bold;
}

.camposdetexto {
    flex-direction: row;
    text-align: center;
}

textarea {
    border-left: 100px;
    margin: 0 0 0 15px;
    width: 450px;
    height: 400px;
    border: 1px solid rgb(75, 177, 124);
    border-radius: 8px;
    font-family: 'Roboto Slab', serif;
    background-color: rgb(235, 243, 234);
    resize: none;
    line-height: 30px;
}

textarea::placeholder {
    color: rgb(42, 135, 87);
  }

p1 {
    font-size: 12px;
    color: rgb(42, 135, 87);
    margin-left: 330px;
    margin-top: 10px;
    margin-bottom: 10px;
    font-family: 'Roboto Slab', serif;
}

p2 {
    font-size: 15px;
    font-family: 'Roboto Slab', serif;
    color: white;
}

.botao {
    text-align: center;
    margin-top: 30px;
    margin-bottom: 25px;
}

.botaomobile {
    display: none;
}

.criptografarbotao, .descriptografarbotao {
    color: rgb(42, 135, 87);
    background-color: rgb(235, 243, 234);
    width: 120px;
    height: 30px;
    border: 2px solid rgb(75, 177, 124);
    border-radius: 8px;
    font-family: 'Roboto Slab', serif;
}

footer {
    text-align: center;
    padding: 30px 0;
}

.linkedinimg {
    width: 17px;
    height: 17px;
    margin-left: 5px;
}
.githubimg {
    width: 20px;
    height: 20px;
    margin-left: 5px;
}

@media screen and (max-width:480px) {

    .camposdetexto {
        display: inline;
        width: auto;
        text-align: center;
    }

    textarea {
        display: block;
        text-align: center;
        width: 350px;
        height: 400px;
        margin: 0 0 120px 22px;
    }

    p1 {
        display:flex;
        margin-left: 80px;
        margin-top: -620px;
        margin-bottom: 30px;
    }

    .botaomobile {
        display: inline;
        margin-left: 80px;
        margin-top: 50px;
        margin-bottom: 50px;
    }

    .botao {
        display: none;
    }

    footer {
        text-align: center;
        font-size: 15px;
        border-top: 500px;
        padding: 500px 15px 2px;
    }
}